OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOffIterator Class Reference

Visits all inactive values in a leaf node. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOffIterator:

## Public Member Functions
| ValueOffIterator ()
| ValueOffIterator (const LeafNode *parent)
ValueOffIterator & | operator= (const ValueOffIterator &)=default
ValueType | operator* () const
CoordT | getCoord () const

## Detailed Description

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>
class nanovdb::LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOffIterator

Visits all inactive values in a leaf node.

## Constructor & Destructor Documentation

## ◆ ValueOffIterator() [1/2]

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOffIterator | ( |  | ) |
| inline

## ◆ ValueOffIterator() [2/2]

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOffIterator | ( | const LeafNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

CoordT getCoord | ( |  | ) | const
| inline

## ◆ operator*()

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueType operator* | ( |  | ) | const
| inline

## ◆ operator=()

template<typename BuildT , typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOffIterator & operator= | ( | const ValueOffIterator & |  | ) |
| default